Skip to main content
POST
/
v1
/
cards
/
:id
/
top-up
curl -X POST https://api.usenaive.ai/v1/cards/card-uuid-1/top-up \
  -H "Authorization: Bearer nv_sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "amount_cents": 5000
  }'
{
  "checkout_url": "https://checkout.stripe.com/c/pay/cs_live_...",
  "session_id": "cs_live_def456",
  "card_id": "card-uuid-1",
  "amount": 5000,
  "expires_at": "2026-03-05T12:30:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://usenaive.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Creates a Stripe Checkout session to add funds to an existing card. The card balance is updated after successful payment.

Request Body

ParameterTypeRequiredDescription
amount_centsnumberYesAmount to add in cents (minimum 100 = $1.00)
curl -X POST https://api.usenaive.ai/v1/cards/card-uuid-1/top-up \
  -H "Authorization: Bearer nv_sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "amount_cents": 5000
  }'
{
  "checkout_url": "https://checkout.stripe.com/c/pay/cs_live_...",
  "session_id": "cs_live_def456",
  "card_id": "card-uuid-1",
  "amount": 5000,
  "expires_at": "2026-03-05T12:30:00Z"
}

CLI

naive cards top-up <id> --amount 5000

MCP

Tool: naive_cards_topup
{
  "card_id": "card-uuid-1",
  "amount_cents": 5000
}